from gtkmvc import observer

class MyObserver (observer.Observer):

   # ------------------------------------------------------
   #    Value change
   # ------------------------------------------------------


   @observer.observes("somevalue")
   def my_observing_value_method(self, model, prop_name, old, new):
       print "Explicit value observer:", prop_name, old, new

   def property_somevalue_value_change(self, model, old, new):
       print "Implicit value observer for somevalue:", old, new
       return

# test dpattern observateur

from era.ihm.model.application import ApplModel
m = ApplModel()
o = MyObserver(m)
m.somevalue = 5
m.somevalue = 6 

